Skip to main content
POST
Get all transactions by network

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

network
string
required

Range network id (e.g. cosmoshub-4, osmosis-1). The Cosmos Hub explorer slug cosmos is accepted as an alias for cosmoshub-4.

Example:

"cosmoshub-4"

Query Parameters

page
string

Page number "offset"

Example:

"0"

pageSize
string

Page size

useScroll
boolean
default:false

Whether to use scroll API for pagination

scrollBatchSize
number
default:100

Batch size for scroll requests

hasMore
boolean

Whether there are more results available (only when useScroll=true)

address
string

Address to filter transactions

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

startTime
string

Start time filter (ISO format)

Example:

"2024-01-01T00:00:00.000Z"

endTime
string

End time filter (ISO format)

Example:

"2024-01-31T23:59:59.999Z"

msgTypes
string

Comma-separated message types to filter

status
string

Transaction status (e.g., "success", "failed")

Body

application/json
scrollId
string

Scroll ID for pagination (only when useScroll=true)

Response

201 - application/json

List of transactions for the specified network.

transactions
object[]
required

Array of transactions

scrollId
string

Scroll ID for pagination (only when useScroll=true)

hasMore
boolean

Whether there are more results available (only when useScroll=true)

count
number

Total count of transactions